Bug 4134 - Per-User Printer Authentication
Per-User Printer Authentication
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.9
All All
: P3 enhancement
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 09:23 UTC by jon_anderson_ca
Modified: 2012-01-09 10:57 UTC (History)
0 users

See Also:


Attachments
explanation (36 bytes, text/plain)
2007-04-20 09:54 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jon_anderson_ca 2006-09-29 09:23:28 UTC
I tried filing this RFE with CUPS, but Michael Sweet himself said "You need to ask the Samba folks for this; FWIW, the upcoming Kerberos support in CUPS *may* provide the necessary hooks, but ultimately it must be supported through the Samba smbspool program..."

Here it is:

I administer the computers in a graduate lab. I'm trying to roll out more Linux desktops, but people aren't going to accept them as "regular computers" if they can't print.

The computers in question belong to the lab, and I have root. The printers belong to the University, I have no admin access, and users have to pay for their printing. The protocol is SMB.

On a Windows machine, a user connects to the printer using NT credentials. On Linux, however, I need to supply a username and password in /etc/cups/printers.conf. Thus, any user that prints will be doing so with *my* print credits (and grad students do a lot of printing).

So... I need to be able to configure a printer as root in order to pick the right driver, and then let *users* somehow specify their NT username/password when they actually try to use it.
Comment 1 SPAMMER 2007-04-20 09:41:35 UTC
Created attachment 2395
Comment 2 Volker Lendecke 2007-04-20 09:54:44 UTC
Created attachment 2396 [details]
explanation
Comment 3 Volker Lendecke 2007-04-20 09:58:19 UTC
Comment on attachment 2395


deleted spam
Comment 4 Andreas Schneider 2012-01-09 10:57:23 UTC
This has been fixed.

commit 8c12c5cea01d9b801fe80c2a87b8139c488a62a5
Author:     Mike Sweet <msweet@apple.com>
AuthorDate: Mon Apr 21 09:16:01 2008 -0700
Commit:     James Peach <jpeach@apple.com>
CommitDate: Mon Apr 21 09:16:01 2008 -0700

    smbspool: fix Kerberos support for CUPS 1.3.